Bug 1906484 - Etcd container leaves grep and lsof zombie processes
Summary: Etcd container leaves grep and lsof zombie processes
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Etcd
Version: 4.4
Hardware: Unspecified
OS: Unspecified
high
urgent
Target Milestone: ---
: 4.4.z
Assignee: Dan Mace
QA Contact: ge liu
URL:
Whiteboard:
: 1807632 1899034 1899036 (view as bug list)
Depends On: 1906483
Blocks: 1899033 1899034 1899036
TreeView+ depends on / blocked
 
Reported: 2020-12-10 16:01 UTC by OpenShift BugZilla Robot
Modified: 2021-02-03 10:12 UTC (History)
12 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2021-02-03 10:11:43 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Github openshift cluster-etcd-operator pull 511 0 None closed Bug 1906484: Use socket readiness probe to avoid generating zombies 2021-02-11 11:16:47 UTC
Red Hat Product Errata RHSA-2021:0281 0 None None None 2021-02-03 10:12:28 UTC

Comment 2 Sam Batschelet 2021-01-18 21:04:57 UTC
*** Bug 1807632 has been marked as a duplicate of this bug. ***

Comment 4 ge liu 2021-01-22 07:10:47 UTC
Verified with 4.4.0-0.nightly-2021-01-21-172857
'exec' etcd readiness probe have been replaced by 'tcpSocket' probe,

Readiness:  tcp-socket :2380 delay=3s timeout=5s period=5s #success=1 #failure=3

Comment 5 Sam Batschelet 2021-01-27 13:51:26 UTC
*** Bug 1899036 has been marked as a duplicate of this bug. ***

Comment 6 Sam Batschelet 2021-01-27 13:52:05 UTC
*** Bug 1899034 has been marked as a duplicate of this bug. ***

Comment 9 errata-xmlrpc 2021-02-03 10:11:43 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory (Important: OpenShift Container Platform 4.4.33 bug fix and security update), and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2021:0281


Note You need to log in before you can comment on or make changes to this bug.